#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'user.lupas'}
#{/set}

<div class="breadcrumb">&{'user.lupas'}</div>
<div class="content">
	<div class="bs-callout bs-callout-info">
		&{'user.isikan_userid_email'}
	</div>
#{alert /}
#{form @UserCtr.lupaPasswordSubmit(), id:'formLupaPassword', method:'POST'}
	<div class="form-group row">
		<label class="col-sm-2 col-form-label">User ID <span class="warning">*</span></label>
		<div class="col-sm-4">
			<input type="text" id="userid" name="userid" class="form-control"/>
			<span class="form-text"></span>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-sm-2 col-form-label">Email <span class="warning">*</span></label>
		<div class="col-sm-4">
			<input type="text" id="email" name="email" class="form-control"/>
			<span class="form-text"></span>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-sm-2 col-form-label"></label>

		<div class="col-sm-4">
*{			type="hidden"}*
			<input type="hidden" name="kapcaID" id="kapcaID" value="${kapcaID}">
			<img id="kodeKeamanan" alt="Kode keamanan..." src="@{PublikCtr.showCaptcha(kapcaID)}"/>
			<br/><br/>
			Jika Anda kesulitan membaca Kode di atas,
			<a title="Ganti Kode!" id="gantiKode" name="gantiKode" href="javascript:void(0);"> klik di sini
			</a> untuk mengganti Kode baru.
			<br/><br/>
			Untuk menjamin keamanan, isikan Kode Keamanan di atas!<br/>
			<span class="form-text"></span>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-sm-2 col-form-label">Kode Keamanan <span class="warning">*</span></label>
		<div class="col-sm-4">
			<input type="text" id="kapca" name="kapca" class="form-control"/>
			<span class="form-text"></span>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-sm-2 col-form-label">&nbsp;</label>
		<div class="col-sm-4">
			<div class="form-check form-check-inline">
				<input type="radio" name="isRekanan" value="true" checked="checked" class="form-check-input">
				<label class="form-check-label">Penyedia</label>
			</div>
			<div class="form-check form-check-inline">
				<input type="radio" name="isRekanan" id="optionsRadios1" value="false" class="form-check-input">
				<label class="form-check-label">Non-Penyedia</label>
			</div>
		</div>
	</div>
	<div class="form-group row">
		<div class="col-lg-offset-2 col-lg-10">
			#{set 's'}&{'user.kirim'}#{/set}
            #{saveButton title:s /}
		</div>
	</div>
#{/form}
</div>
#{set 'custom_script'}
<script type="text/javascript">
	$(document).ready(function() {
		$(document).on('click', '#gantiKode', function () {
			$.ajax({
				type: 'POST',
				url: '@{controllers.UserCtr.gantiKode()}',
				success: function (result) {
					if (result.success===true){
						var data = result.kapcaID;
						var path = "@{PublikCtr.showCaptcha()}";
						kapcaID = data;
						$("#kapcaID").val(kapcaID);
						*{document.getElementById("kodeKeamanan").src="@{PublikCtr.showCaptcha("+data+")}";}*
						// $("#kodeKeamanan").remove();
						// $("#imgKode").append("<img id=\"kodeKeamanan\" alt=\"Kode keamanan...\" src=\""+path+"?id="+data+"\"/>");
						$("#kodeKeamanan").removeAttr("src").attr("src", path+"?id="+data);
					} else {
						alert(result.result);
					}
				},
				error: function () {

				}
			})
		});
	});

</script>
#{/set}